Results 1 to 2 of 2

Thread: Firefox for Mac OS 9.2.2

  1. #1
    New Member
    Join Date
    Sep 2007
    Posts
    1

    Default Firefox for Mac OS 9.2.2

    Ive bought an old Mac G4 Cube with Mac OS 9.2.2 on it. Microsoft Explorer isnt working very well, so I want to install Firefox. The problem is that appearently this version of the system wont accept .exe-files or .dmg-files. (Asks for the program in witch the .exe or .dmg was made)
    What should I do?

    Christina

  2. #2
    Major Advisor
    Join Date
    May 2006
    Location
    India
    Posts
    136

    Default Re: Firefox for Mac OS 9.2.2

    You would not be able to run firefox on Mac OS 9.2.2 minimal requirement is Mac OS X.3 and even the old Fx 1.0 needed Mac OS X .

    You can use iCab on your mac: ftp://ftp.tu-clausthal.de/pub/Mac/iC...nglish_PPC.sit

    Or Mozilla's old firefox browser

    http://releases.mozilla.org/pub/mozi...ull-instal.bin

    http://releases.mozilla.org/pub/mozi...-1.2b-full.bin

    Let me know which one works so i can help users in future.

Similar Threads

  1. Firefox Changelog
    By firefoxfan in forum Changelog (Version History)
    Replies: 5
    Last Post: 04-08-2011, 08:54 AM
  2. old firefox extenstion question
    By firefoxfan in forum Software Support
    Replies: 8
    Last Post: 07-26-2009, 08:22 AM
  3. Revert Back Firefox from version 3 to 2
    By 007 in forum Programs - Articles/ Tips/ Tweaks
    Replies: 0
    Last Post: 06-23-2008, 06:42 PM
  4. How can I double the firefox find textbox?
    By Onofrio in forum Programs - Articles/ Tips/ Tweaks
    Replies: 5
    Last Post: 06-04-2008, 05:36 PM
  5. confused firefox for Imac 9.1 ?
    By Diana in forum Programs - Articles/ Tips/ Tweaks
    Replies: 6
    Last Post: 08-19-2007, 11:33 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •